Module | ::Bot::Plugins::RemoteBotModule
In: | lib/rbot/core/remote.rb

We create a new Ruby module that can be included by BotModules that want to provide remote interfaces

### Methods

cleanup remote_cleanup remote_map

### Public Instance methods

cleanup()

Redefine the default cleanup method.

remote_cleanup()

Unregister the remote maps.

remote_map(*args)

The remote_map acts just like the BotModule#map method, except that the map is registered to the @bot‘s remote_dispatcher. Also, the remote map handle is handled for the cleanup management

[Validate]